# ObjectIdListA.cpp File Reference

`#include "ObjectIdListC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Sequence_TypeCode_Static.h"`
`#include "tao/String_TypeCode_Static.h"`

Include dependency graph for ObjectIdListA.cpp:

## Namespaces

namespace | CORBA
namespace | TAO
namespace | TAO::TypeCode

## Variables

TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_CORBA_ORB_ObjectId (CORBA::tk_alias,"IDL:omg.org/CORBA/ORB_ObjectId:1.0","ORB_ObjectId",&CORBA::_tc_string)
::CORBA::TypeCode_ptr const | _tc_ORB_ObjectId
TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | CORBA_ORB_ObjectIdList_0 (CORBA::tk_sequence,&CORBA::_tc_ORB_ObjectId, 0U)
::CORBA::TypeCode_ptr const | tc_CORBA_ORB_ObjectIdList_0
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_CORBA_ORB_ObjectIdList (CORBA::tk_alias,"IDL:omg.org/CORBA/ORB_ObjectIdList:1.0","ORB_ObjectIdList",&TAO::TypeCode::tc_CORBA_ORB_ObjectIdList_0)
::CORBA::TypeCode_ptr const | _tc_ORB_ObjectIdList

## Variable Documentation

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_CORBA_ORB_ObjectId(CORBA::tk_alias,"IDL:omg.org/CORBA/ORB_ObjectId:1.0","ORB_ObjectId",&CORBA::_tc_string)`[static]`

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_CORBA_ORB_ObjectIdList(CORBA::tk_alias,"IDL:omg.org/CORBA/ORB_ObjectIdList:1.0","ORB_ObjectIdList",&TAO::TypeCode::tc_CORBA_ORB_ObjectIdList_0)`[static]`

TAO_Export::CORBA::TypeCode_ptr const CORBA::_tc_ORB_ObjectId

Initial value:

        &_tao_tc_CORBA_ORB_ObjectId

TAO_Export::CORBA::TypeCode_ptr const CORBA::_tc_ORB_ObjectIdList

Initial value:

        &_tao_tc_CORBA_ORB_ObjectIdList

TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> TAO::TypeCode::CORBA_ORB_ObjectIdList_0(CORBA::tk_sequence,&CORBA::_tc_ORB_ObjectId, 0U)

::CORBA::TypeCode_ptr const TAO::TypeCode::tc_CORBA_ORB_ObjectIdList_0

Initial value:

          &CORBA_ORB_ObjectIdList_0